Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:40 2009

## Asterisk developer's documentation

# iax_frame Struct Reference

`#include <iax2-parser.h>`

Collaboration diagram for iax_frame:

[legend]

## Data Fields

struct ast_frame | af
unsigned char | afdata [0]
size_t | afdatalen
unsigned short | callno
void * | data
int | datalen
unsigned short | dcallno
int | direction
int | final
int | iseqno
struct iax_frame * | next
int | oseqno
int | outoforder
struct iax_frame * | prev
int | retrans
int | retries
int | retrytime
int | sentyet
int | sockfd
int | transfer
unsigned int | ts
unsigned char | unused [AST_FRIENDLY_OFFSET]

## Detailed Description

Definition at line 81 of file iax2-parser.h.

## Field Documentation

struct ast_frame af`[read]`

Definition at line 123 of file iax2-parser.h.

Referenced by __do_deliver(), attempt_transmit(), iax2_send(), iax2_trunk_queue(), iax_frame_wrap(), iaxfrdup2(), resend_with_token(), schedule_delivery(), and socket_read().

unsigned char afdata[0]

Definition at line 127 of file iax2-parser.h.

Referenced by iax_frame_wrap(), and send_trunk().

size_t afdatalen

Definition at line 125 of file iax2-parser.h.

Referenced by iax2_send(), iax_frame_new(), iax_frame_wrap(), and socket_read().

unsigned short callno

Definition at line 90 of file iax2-parser.h.

Referenced by __do_deliver(), attempt_transmit(), complete_transfer(), iax2_send(), network_thread(), pvt_destructor(), save_rr(), schedule_delivery(), send_packet(), socket_read(), unwrap_timestamp(), update_packet(), and vnak_retransmit().

void* data

Definition at line 94 of file iax2-parser.h.

Referenced by iax2_send(), iax_showframe(), resend_with_token(), send_packet(), send_trunk(), transmit_trunk(), and update_packet().

int datalen

Definition at line 96 of file iax2-parser.h.

Referenced by iax2_send(), resend_with_token(), send_packet(), send_trunk(), and transmit_trunk().

unsigned short dcallno

Definition at line 92 of file iax2-parser.h.

Referenced by iax2_send(), resend_with_token(), and update_packet().

int direction

Definition at line 116 of file iax2-parser.h.

Referenced by iax_frame_free(), iax_frame_new(), and send_trunk().

int final

Definition at line 114 of file iax2-parser.h.

Referenced by attempt_transmit(), iax2_send(), iax2_show_stats(), and socket_read().

int iseqno

Definition at line 110 of file iax2-parser.h.

Referenced by iax2_send(), socket_read(), and update_packet().

struct iax_frame* next`[read]`

Definition at line 120 of file iax2-parser.h.

Referenced by attempt_transmit(), complete_transfer(), get_from_jb(), iax2_show_stats(), iax2_transmit(), network_thread(), pvt_destructor(), resend_with_token(), socket_read(), and vnak_retransmit().

int oseqno

Definition at line 108 of file iax2-parser.h.

Referenced by attempt_transmit(), iax2_send(), socket_read(), and vnak_retransmit().

int outoforder

Definition at line 104 of file iax2-parser.h.

Referenced by socket_read().

struct iax_frame* prev`[read]`

Definition at line 121 of file iax2-parser.h.

Referenced by attempt_transmit(), iax2_transmit(), network_thread(), and resend_with_token().

int retrans

Definition at line 118 of file iax2-parser.h.

Referenced by __do_deliver(), attempt_transmit(), iax2_frame_free(), iax_frame_new(), network_thread(), schedule_delivery(), and send_trunk().

int retries

Definition at line 98 of file iax2-parser.h.

Referenced by attempt_transmit(), complete_transfer(), iax2_send(), iax2_show_stats(), iax_showframe(), network_thread(), pvt_destructor(), and socket_read().

int retrytime

Definition at line 102 of file iax2-parser.h.

Referenced by attempt_transmit(), iax2_send(), and network_thread().

int sentyet

Definition at line 106 of file iax2-parser.h.

Referenced by iax2_transmit(), and network_thread().

int sockfd

Definition at line 86 of file iax2-parser.h.

int transfer

Definition at line 112 of file iax2-parser.h.

Referenced by attempt_transmit(), iax2_send(), send_packet(), send_trunk(), and socket_read().

unsigned int ts

Definition at line 100 of file iax2-parser.h.

Referenced by attempt_transmit(), iax2_send(), iax2_trunk_queue(), schedule_delivery(), send_packet(), socket_read(), and unwrap_timestamp().

unsigned char unused[AST_FRIENDLY_OFFSET]

Definition at line 126 of file iax2-parser.h.

The documentation for this struct was generated from the following file:

- iax2-parser.h